import api from "@/api/http.js";
var host2 = process.env.VUE_APP_Url; // 获取不同环境下不同的api路径

// 获取合伙人信息
export const getPartnerInfo  = (data) => { 
  return api.post(host2+'/ymall/getPartner', data)
}

// 注册合伙人
export const registerPartner = (data)=>{
  return api.post(host2+'/ymall/addCertificationInformation', data)
}

// 根据地区areaCode拿到所有上级合伙人
export const getAdvancedPartnerByAreaCode = (data)=>{
  return api.post(host2+'/ymall/getPartnerList', data)
}

// 获取下级合伙人列表 注意type是动态变化的
export const getSubordinateList = (data) => {
  return api.post(host2+'/ymall/getSubordinateList', data)
}

// 我的收益
export const getMyProFit = (data) => {
  return api.post(host2+'/ymall/myProfit', data)
}